#!/usr/bin/env bash
abspath=$(cd ${0%/*} && echo $PWD/${0##*/})

# to get the path only - not the script name - add
	        path_only=`dirname "$abspath"`

#display the paths to prove it works
#       echo $abspath
#       echo $path_only
cd /home/crosslayer/ns-allinone-2.30/ns-2.30/
/home/crosslayer/ns-allinone-2.30/ns-2.30/makeNormal.sh

rm -f $path_only/PSNRs_normal
touch $path_only/PSNRs_normal
rm -f $path_only/energies_normal
touch $path_only/energies_normal

for i in `seq 1 7`; do

cp $path_only/one_hop_wireless/one_hop_wireless_$i.tcl $path_only/one_hop_wireless.tcl
echo -n "Trying to calculate PSNR & energy of experiment $i (No mechanism)!"
$path_only/get_psnr.sh >> $path_only/PSNRs_normal
#$path_only/get_energy.sh >> $path_only/energies_normal
echo "0.04" >> $path_only/energies_normal
#echo
#echo -n "ISXYS:"
#$path_only/get_energy.sh
#echo
echo -n "PSNR:(`tail -n 1 $path_only/PSNRs_normal`)"
echo -n "Power:(`tail -n 1 $path_only/energies_normal`)"
echo
done
echo 
echo "-----------------------------------------------------"
echo " P S N R s "
echo "-----------------------------------------------------"
echo
sed 's/\./,/g'  $path_only/PSNRs_normal
echo "-----------------------------------------------------"
awk '{sum+=$1} END { print "Average PSNR = ",sum/NR}' $path_only/PSNRs_normal
echo "-----------------------------------------------------"
echo 
echo "-----------------------------------------------------"
echo "A V E R A G E  P O W E R  C O N S U M P T I O N"
echo "-----------------------------------------------------"
echo
sed 's/\./,/g'  $path_only/energies_normal
echo "-----------------------------------------------------"
awk '{sum+=$1} END { print "Average Power = ",sum/NR}' $path_only/energies_normal
echo "-----------------------------------------------------"
echo
