//rateAdjuster mechanism
//by Vassilis Papapanagiotou and Giannis Zaoudis
//14-04-2009

#include "rateAdjuster.h"
#include <cstdio>

inline double dabs(double a){
	return a>=0?a:-a;
}
//function to check the current loss_rate
void rateAdjuster::adjust(){
	if(input > threshold){
		//if not adjust the power by a coefficient of our choice (currently 5%)
		output += coeff*output;
		//upper bound to prevent excessive consumption 
		if(output >= 0.04) output = 0.04;
		printf("RATE adjuster: Increase power!\n");
	}else if(input < (0.75*threshold)){
		//we have an area currently 7.5-10% where loss_rate is acceptable
		output -= coeff*output;
		//lower bound to prevent the base station from halting the transmission
		if(output <= 0.02) output = 0.03;
		printf("RATE adjuster: MEIONO to power!\n");
	}
}
